For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • GETList Pricing Groups
      • POSTCreate Pricing Group
      • GETGet Pricing Group
      • DELDelete Pricing Group
      • PATCHUpdate Pricing Group Metadata
      • PUTUpdate Pricing Group Rates
      • POSTAssign Accounts To Pricing Group
      • DELUnassign Accounts From Pricing Group
LogoLogo
Contact SupportGet Started
API ReferencePricing Groups

Unassign Accounts From Pricing Group

DELETE
/digital-banking/v1/pricing-groups/:pricing_group_id/accounts
DELETE
/digital-banking/v1/pricing-groups/:pricing_group_id/accounts
$curl -X DELETE https://api.modernfi.com/digital-banking/v1/pricing-groups/pricing_group_id/accounts \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "account_ids": [
> "string"
> ]
>}'
1{}
Unassign multiple accounts from a pricing group. Accounts will retain their current rates but will no longer receive automatic updates when the pricing group rates change. Future rate changes for these accounts must be made individually or by assigning them to a different pricing group.
Was this page helpful?
Previous

Request an access token

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pricing_group_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
account_idslist of stringsRequired
List of account IDs to unassign from the pricing group

Response

Successful Response

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error